import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconVendor = (props: IconProps) => {
    return <Icon  id="IconVendor" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M2.91188 1.67197C3.8815 1.24103 5.15094 1 6.5 1C7.84907 1 9.11851 1.24103 10.0881 1.67198C10.5717 1.88689 11.0249 2.16869 11.3708 2.53213C11.7215 2.90072 12 3.39848 12 4V10C12 10.6015 11.7215 11.0993 11.3708 11.4679C11.0249 11.8313 10.5717 12.1131 10.0881 12.328C9.11851 12.759 7.84908 13 6.5 13C5.15093 13 3.8815 12.759 2.91188 12.328C2.42833 12.1131 1.97511 11.8313 1.62924 11.4679C1.27846 11.0993 1 10.6015 1 10V4C1 3.39848 1.27846 2.90072 1.62924 2.53212C1.97511 2.16869 2.42833 1.88688 2.91188 1.67197ZM3.00758 4C3.0183 3.98147 3.03906 3.95184 3.07803 3.91089C3.18758 3.79578 3.39337 3.64662 3.72416 3.4996C4.38322 3.20668 5.36378 3 6.5 3C7.63623 3 8.61679 3.20668 9.27585 3.4996C9.60664 3.64662 9.81242 3.79578 9.92197 3.91089C9.96094 3.95184 9.9817 3.98147 9.99242 4C9.9817 4.01852 9.96094 4.04816 9.92197 4.0891C9.81242 4.20421 9.60664 4.35338 9.27585 4.5004C8.61679 4.79331 7.63622 5 6.5 5C5.36379 5 4.38322 4.79331 3.72416 4.5004C3.39337 4.35338 3.18758 4.20421 3.07803 4.0891C3.03906 4.04816 3.0183 4.01852 3.00758 4ZM6.5 7C7.80858 7 9.04222 6.77322 10 6.36631V6.98537C9.99335 7.00034 9.97369 7.03476 9.92197 7.0891C9.81242 7.20421 9.60664 7.35338 9.27585 7.5004C8.61679 7.79331 7.63622 8 6.5 8C5.36379 8 4.38322 7.79331 3.72416 7.5004C3.39337 7.35338 3.18758 7.20421 3.07803 7.0891C3.02631 7.03476 3.00666 7.00034 3 6.98537V6.36631C3.95778 6.77322 5.19143 7 6.5 7ZM3 9.36631V9.98537C3.00666 10.0003 3.02631 10.0348 3.07803 10.0891C3.18758 10.2042 3.39337 10.3534 3.72416 10.5004C4.38322 10.7933 5.36379 11 6.5 11C7.63622 11 8.61679 10.7933 9.27585 10.5004C9.60664 10.3534 9.81242 10.2042 9.92197 10.0891C9.97369 10.0348 9.99335 10.0003 10 9.98537V9.36631C9.04222 9.77322 7.80858 10 6.5 10C5.19143 10 3.95778 9.77322 3 9.36631Z" />
        <path d="M16 2C15.4477 2 15 2.44772 15 3C15 3.55228 15.4477 4 16 4H19C19.5523 4 20 4.44772 20 5V8C20 8.55228 20.4477 9 21 9C21.5523 9 22 8.55228 22 8V5C22 3.34314 20.6568 2 19 2H16Z" />
        <path d="M3 15C3.55228 15 4 15.4477 4 16V19C4 19.5523 4.44772 20 5 20H8C8.55228 20 9 20.4477 9 21C9 21.5523 8.55228 22 8 22H5C3.34314 22 2 20.6568 2 19V16C2 15.4477 2.44772 15 3 15Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M18.5 21V20H22C22.5523 20 23 19.5523 23 19V13C23 12.4477 22.5523 12 22 12H13C12.4477 12 12 12.4477 12 13V19C12 19.5523 12.4477 20 13 20H16.5V21H14.5C13.9477 21 13.5 21.4477 13.5 22C13.5 22.5523 13.9477 23 14.5 23H20.5C21.0523 23 21.5 22.5523 21.5 22C21.5 21.4477 21.0523 21 20.5 21H18.5ZM21 18V14H14V18H21Z" />
    </Icon>;
};

export default IconVendor;
